#include "lista_encad_circ.h"
struct no{
	int info;
	struct no * prox;
};
Lista cria_lista() {
	return NULL;
}
int lista_vazia(Lista lst) {
	if(lst == NULL)
		return 1;
	return 0;
}
int insere_final(Lista *lst, int elem) {
	Lista N = (Lista) malloc(sizeof(struct no));
	if(N == NULL)
		return 0;
	N->info = elem;
	if(lista_vazia(*lst)) {
		N->prox = N; /* Faz o novo nó apontar para ele mesmo */
		*lst = N; /* Faz a lista apontar pron novo nó (ultimo no) */
	}
	else {
		N->prox = (*lst)->prox; /* Faz o novo nó apontar o primeiro */
		(*lst)->prox = N; /* Faz o ultimo nó apontar pro novo */
		*lst = N; /* FAz a lista apontar pro novo nó */
	}
	return 1;
}
